Get Agents List
GET
/v1/agentsRetrieves a paginated list of agents. Requires agent:read scope. Sorted by creation date descending.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Maximum number of results per page (max 100).
Range
value <= 100after?string
Cursor for pagination (get next page).
Format
uuidbefore?string
Cursor for pagination (get previous page).
Format
uuidincludes?string
Comma-separated list of additional fields to include in the response.
role_names?string
Comma-separated list of role names to filter agents by.
availability_status?string
Filter agents by availability status.
Value in
- "AVAILABLE"
- "UNAVAILABLE"
presence_status?string
Filter agents by presence status.
Value in
- "ONLINE"
- "OFFLINE"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agents"{ "data": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Bob", "email": "bob@example.com" } ], "metadata": { "after": "7a30ad46-76a3-42df-9c0c-3fcf1b10f9d2", "before": "2db87b94-212f-4f6f-badd-03b6dd6a1a4e" }}